CREATE TABLE IF NOT EXISTS whitelist (
  id INT(11) NOT NULL AUTO_INCREMENT,
  actor_id VARCHAR(128) NOT NULL,
  type ENUM('BLURRING', 'SALT') NOT NULL,
  note VARCHAR(255),
  created_time DATETIME NOT NULL DEFAULT NOW(),
  PRIMARY KEY (id),
  INDEX whitelist_index (actor_id, type)
);