package dk.nsp.idsas.operations.ws;

import dk.nsp.idsas.service.SaltService;
import dk.nsp.idsas.ws.AbstractServlet;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(name="RenewSaltServlet", urlPatterns={"/renew-salt"})
public class RenewSaltServlet extends AbstractServlet {
    private static final Logger logger = Logger.getLogger(RenewSaltServlet.class);

    @Autowired
    private SaltService saltService;

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response) {
        logger.trace("Enter renew salt");
        saltService.renewSalt();
    }

}
